JBossJMSServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossJMSServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossJMSServer

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface JBossJMSServer

extends LogicalElement

Represents a JBoss JMS Server

Naming Rules:
  0="name" 1="managedSystemName"
Persistable:
  true
Table Name:
  JBJMS

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`JBossDestinationManager` | `getDestinationManager()`
`JBossInvocationLayer[]` | `getJBossInvocationLayer()`
`java.lang.String` | `getName()`
`J2EEDomain` | `getParent()`
`boolean` | `hasDestinationManager()`
`boolean` | `hasJBossInvocationLayer()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`void` | `setDestinationManager(JBossDestinationManager manager)`
`void` | `setJBossInvocationLayer(JBossInvocationLayer[] layers)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(J2EEDomain parent)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    J2EEDomain getParent()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setParent

    void setParent(J2EEDomain parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getDestinationManager

    JBossDestinationManager getDestinationManager()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setDestinationManager

    void setDestinationManager(JBossDestinationManager manager)

### hasDestinationManager

    boolean hasDestinationManager()

### getJBossInvocationLayer

    JBossInvocationLayer[] getJBossInvocationLayer()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setJBossInvocationLayer

    void setJBossInvocationLayer(JBossInvocationLayer[] layers)

### hasJBossInvocationLayer

    boolean hasJBossInvocationLayer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD